(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2007-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: parser_plus.mli,v 1.4.2.1 2011-09-21 13:08:04 fclement Exp $ *)

(** Parser's module complement, defines common parsers and helper
  functions. *)

open Parser;;

val alphas : char list;;
val nums : char list;;
val spaces : char list;;

(** Helper functions *)
val implode : char list -> string;;
val ignore : 'a parser -> unit parser;;
val notc : char list -> char list;;
val to_num : char list -> int;;

(** Common parsers *)
val p_digit : char parser;;
val p_ident : string parser;;
val p_integer : int parser;;
val p_letter : char parser;;
val p_space : char parser;;
val p_word : string -> unit parser;;
