CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                            Pio (Fortran)                            C
C                                                                     C
C                    Polyglot Input/Output Library                    C
C                                                                     C
C                  projet Estime, INRIA-Rocquencourt                  C
C                                                                     C
C  Copyright 2004-2011 INRIA.                                         C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C $Id: communication_mode.F,v 1.4 2011-03-09 12:50:15 fclement Exp $

C     
C     
C     
      
      subroutine pio_set_binary_communication_mode
C     Set the communication mode to binary.
      
      implicit none
      
      include 'communication_mode_definition.fh'
      
      binary_communication_mode = .True.
      
      return
      end
      
      
      subroutine pio_set_ascii_communication_mode
C     Set the communication mode to ascii.
      
      implicit none
      
      include 'communication_mode_definition.fh'
      
      binary_communication_mode = .False.
      
      return
      end
      
      
      subroutine set_binary_value_encoding
C     Set the encoding of the value to binary.
      
      implicit none
      
      include 'communication_mode_definition.fh'
      
      binary_value_encoding = .True.
      
      return
      end
      
      
      subroutine set_ascii_value_encoding
C     Set the encoding of the value to ascii.
      
      implicit none
      
      include 'communication_mode_definition.fh'
      
      binary_value_encoding = .False.
      
      return
      end
      
      
      logical function communication_mode_is_binary()
C     Test if the communication mode is binary.
      
      implicit none
      
      include 'communication_mode_definition.fh'
      
      communication_mode_is_binary = binary_communication_mode
      
      return
      end
      
      
      logical function encoding_mode_is_binary()
C     Test if the encoding mode is binary.
      
      implicit none
      
      include 'communication_mode_definition.fh'
      
      encoding_mode_is_binary =
     +     binary_value_encoding .or. binary_communication_mode
      
      return
      end
